<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg_shape_white_radius_8"
    android:padding="24dp">

    <TextView
        android:id="@+id/tv_title"
        style="@style/TextHeadline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/calendar_permission_title"
        android:textColor="@color/text_primary"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <com.gh.gamecenter.common.view.BasicIconView
        android:id="@+id/biv_icon"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginTop="16dp"
        app:background_color="@color/primary_theme_10"
        app:icon_resource="@drawable/ic_basic_calendar"
        app:icon_width="24dp"
        app:icon_color="@color/primary_theme"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        app:srcCompat="@drawable/ic_basic_calendar" />

    <TextView
        android:id="@+id/tv_name"
        style="@style/TextBody2B"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:includeFontPadding="false"
        android:text="@string/calendar"
        android:textColor="@color/text_primary"
        app:layout_constraintStart_toEndOf="@id/biv_icon"
        app:layout_constraintTop_toTopOf="@id/biv_icon" />

    <TextView
        android:id="@+id/tv_description"
        style="@style/TextCaption2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:text="@string/calendar_permission_description"
        android:textColor="@color/text_secondary"
        app:layout_constraintBottom_toBottomOf="@id/biv_icon"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/biv_icon" />

    <TextView
        android:id="@+id/tv_cancel"
        style="@style/TextButton2"
        android:layout_width="120dp"
        android:layout_height="40dp"
        android:layout_marginTop="24dp"
        android:background="@drawable/bg_common_button_light_fill_gray"
        android:gravity="center"
        android:text="@string/not_authorized_yet"
        android:textColor="@color/text_secondary"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/biv_icon" />

    <TextView
        android:id="@+id/tv_submit"
        style="@style/TextButton2"
        android:layout_width="120dp"
        android:layout_height="40dp"
        android:layout_marginTop="24dp"
        android:background="@drawable/bg_common_button_fill_blue"
        android:gravity="center"
        android:text="@string/enable_permissions"
        android:textColor="@color/text_aw_primary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/biv_icon" />
</androidx.constraintlayout.widget.ConstraintLayout>